<?php

defined('_JEXEC') or die;

class plgHikashopHikavcat extends JPlugin {

    function onBeforeCategoryListingLoad(&$filters, &$order, &$parentObject) {
        $vid = JRequest::getInt('vid', 0);
        if ($vid != 0) {

            $db = JFactory::getDbo();
            $db->setQuery("select DISTINCT pc.category_id from #__hikashop_category as c , #__hikashop_product as p ,  #__hikashop_product_category as pc where pc.product_id = p.product_id and p.product_vendor_id = $vid ");
            $cid_array = $db->loadColumn();
            if (is_array($cid_array) && count($cid_array) > 0) {
                $filters[] = " a.category_id IN (" . implode(',', $cid_array) . ")";
            }
        }

        return true;
    }

    function onBeforeProductListingLoad(&$filters, &$order, &$parent, &$select, &$select2, &$a, &$b, &$on) {
        $vid = JRequest::getInt('vid', 0);
        if ($vid != 0) {

            $db = JFactory::getDbo();


            $db->setQuery("select p.product_id from #__hikashop_product as p where p.product_vendor_id = $vid");
            $pid_array = $db->loadColumn();
            if (is_array($pid_array) && count($pid_array) > 0) {
                $filters[] = " b.product_id IN(" . implode(',', $pid_array) . ")";
            }
        }
        return true;
    }



}
